Hostnames

hostnames

Hostnames

Settings

hostnames.settings

hostnames.settings.tls

Methods

List TLS Setting For Hostnames -> SinglePage<{ created_at, hostname, status, 2 more... }>
get/zones/{zone_id}/hostnames/settings/{setting_id}

List the requested TLS setting for the hostnames under this zone.

Edit TLS Setting For Hostname -> Envelope<>
put/zones/{zone_id}/hostnames/settings/{setting_id}/{hostname}

Update the tls setting value for the hostname.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

SSL and Certificates Write

path Parameters
zone_id: string
(maxLength: 32)

Identifier.

setting_id:

The TLS Setting name. The value type depends on the setting:

  • ciphers: value is an array of cipher suite strings (e.g., ["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"])
  • min_tls_version: value is a TLS version string ("1.0", "1.1", "1.2", or "1.3")
  • http2: value is "on" or "off"
"ciphers"
"min_tls_version"
"http2"
hostname: string

The hostname for which the tls settings are set.

Response fields
errors: Array<{ code, message, documentation_url, 1 more... }>
messages: Array<{ code, message, documentation_url, 1 more... }>
success: true

Whether the API call was successful.

result:
Optional
Request example
200Example
Delete TLS Setting For Hostname -> Envelope<{ created_at, hostname, status, 2 more... }>
delete/zones/{zone_id}/hostnames/settings/{setting_id}/{hostname}

Delete the tls setting value for the hostname.

Domain types

Setting = { created_at, hostname, status, 2 more... }
SettingValue = "1.0" | "1.1" | "1.2" | 3 more... | Array<string>

The TLS setting value. The type depends on the setting_id used in the request path:

  • ciphers: an array of allowed cipher suite strings in BoringSSL format (e.g., ["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"])
  • min_tls_version: a string indicating the minimum TLS version — one of "1.0", "1.1", "1.2", or "1.3" (e.g., "1.2")
  • http2: a string indicating whether HTTP/2 is enabled — "on" or "off" (e.g., "on")